ublas: boost::numeric::ublas::map_array< I, T, ALLOC > Class Template Reference

# boost::numeric::ublas::map_array< I, T, ALLOC > Class Template Reference

List of all members.

## Public Types
typedef ALLOC | allocator_type
typedef ALLOC::size_type | size_type
typedef ALLOC::difference_type | difference_type
typedef std::pair< I, T > | value_type
typedef I | key_type
typedef T | mapped_type
typedef const value_type & | const_reference
typedef value_type & | reference
typedef const value_type * | const_pointer
typedef value_type * | pointer
typedef const_pointer | const_iterator
typedef pointer | iterator
typedef const T & | data_const_reference
typedef T & | data_reference
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
## Public Member Functions
BOOST_UBLAS_INLINE | map_array (const ALLOC &a=ALLOC())
BOOST_UBLAS_INLINE | map_array (const map_array &c)
BOOST_UBLAS_INLINE void | reserve (size_type capacity)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE size_type | capacity () const
BOOST_UBLAS_INLINE size_type | max_size () const
BOOST_UBLAS_INLINE bool | empty () const
BOOST_UBLAS_INLINE data_reference | operator[] (key_type i)
BOOST_UBLAS_INLINE map_array & | operator= (const map_array &a)
BOOST_UBLAS_INLINE map_array & | assign_temporary (map_array &a)
BOOST_UBLAS_INLINE void | swap (map_array &a)
iterator | push_back (iterator it, const value_type &p)
std::pair< iterator, bool > | insert (const value_type &p)
iterator | insert (iterator hint, const value_type &p)
void | erase (iterator it)
void | erase (iterator it1, iterator it2)
void | clear ()
const_iterator | find (key_type i) const
iterator | find (key_type i)
const_iterator | lower_bound (key_type i) const
iterator | lower_bound (key_type i)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()
allocator_type | get_allocator ()
template<class Archive >
void | serialize (Archive &ar, const unsigned int)
## Friends
BOOST_UBLAS_INLINE friend void | swap (map_array &a1, map_array &a2)

### template<class I, class T, class ALLOC>
class boost::numeric::ublas::map_array< I, T, ALLOC >